# Copyright (c) 2000-2008, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#

%define rversion 1_0
%define section  non-free

Name:           jlfgr
Version:        1.0
Release:        4jpp
Epoch:          0
Summary:        Java Look and Feel Graphics Repository
License:        Proprietary
Source0:        %{name}-%{rversion}.zip
NoSource:       0
Url:            http://developer.java.sun.com/developer/techDocs/hi/repository/
Group:          Development/Libraries/Java
Vendor:         JPackage Project
Distribution:   JPackage
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-buildroot

%description
These pages contain a collection of toolbar button graphics. The
graphics have been designed specifically for use with the JavaTM look
and feel. They conform to the Java look and feel Design Guidelines (see
the "Designing Button Graphics" section of the "Application Graphics"
chapter). A set of attributes accompanies each graphic. This information
can easily be used to create Swing Actions.

As the Human Interface Group, we strive to improve the user experience
for you and your end-users. This graphics repository provides you with
professional quality graphics that will save you development time. Your
end-users benefit by leveraging their knowledge of these graphics and
terminology across different Java look and feel applications.
 
%prep
%setup -q -c

%build
%jar xf %{name}-%{rversion}.jar LICENSE

%install
rm -rf $RPM_BUILD_ROOT
# jars
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}
install -m 644 %{name}-%{rversion}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
(cd $RPM_BUILD_ROOT%{_javadir} && ln -sf %{name}-%{version}.jar %{name}.jar)

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(0644,root,root,0755)
%doc LICENSE
%{_javadir}/*

%changelog
* Tue Jan 30 2008 Ralph Apel <r.apel@r-apel.de> 0:1.0-4jpp
- To JPP-5.0 (no other known source for this stuff)

* Thu May 08 2003 David Walluck <david@anti-microsoft.org> 0:1.0-3jpp
- update for JPackage 1.5

* Tue Feb 18 2003 David Walluck <david@anti-microsoft.org> 1.0-2jpp 
- fix permissions on sources. Why does this keep happening? My umask is 0022.

* Mon Feb 17 2003 David Walluck <david@anti-microsoft.org> 1.0-1jpp 
- release
